buggNewSense GNU/Linux - Bugs: bug #29076, Kernel image 2.6.32.9 has...

 
 

You are not allowed to post comments on this tracker with your current authentification level.

bug #29076: Kernel image 2.6.32.9 has extraneous symlinks

Submitted by:  Lars Noodén <larsnooden>
Submitted on:  Fri 05 Mar 2010 08:25:15 AM UTC  
 
Category: gNewSense 3Severity: 1 - Wish
Item Group: mipselStatus: Invalid
Privacy: PublicAssigned to: None
Open/Closed: Closed

(Jump to the original submission Jump to the original submission)

Mon 13 Jan 2014 07:19:51 PM UTC, comment #6:

Those symbolic links don't exist in our current kernel.

Sam Geeraerts <samgee>
Project Administrator
Mon 11 Apr 2011 08:22:51 AM UTC, comment #5:

@larsnooden
Are those symlinks are still made?

Could you update the bug?

Thanks

Graziano <graziano>
Sat 06 Nov 2010 06:28:32 AM UTC, comment #4:

My comments here relate to a different issue which is detailed in bug #31562 which is now solved.

Tony Mugan <gurrier>
Sun 21 Mar 2010 06:10:08 AM UTC, comment #3:

I have also tried and failed to install 2.6.32.4-libre-lemote when running 2.6.32.3-libre-lemote.

The error reported is the same as shown in previous comments.

Could it be that 2.6.32.6-libre-lemote broke something so that any subsequent kernel installs will fail?

Tony Mugan <gurrier>
Sun 21 Mar 2010 05:51:10 AM UTC, comment #2:

Hmm, it seems that there is an issue with installing older kernel versions also. I just tried to install 2.6.32.5-libre-lemote and got the same type of failure.

I am running 2.6.32.6-libre-lemote.

tony@gnewsense:~$ sudo apt-get install linux-image-2.6.32.5-libre-lemote
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
fdutils linux-doc-2.6.32.5-libre-lemote linux-source-2.6.32.5-libre-lemote
ksymoops
The following NEW packages will be installed:
linux-image-2.6.32.5-libre-lemote

  1. upgraded, 1 newly installed, 0 to remove and 0 not upgraded.

Need to get 0B/10.4MB of archives.
After this operation, 40.1MB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously deselected package linux-image-2.6.32.5-libre-lemote.
(Reading database ... 94760 files and directories currently installed.)
Unpacking linux-image-2.6.32.5-libre-lemote (from .../linux-image-2.6.32.5-libre-lemote_0lxo_mipsel.deb) ...
Done.
Setting up linux-image-2.6.32.5-libre-lemote (0lxo) ...

Hmm. There is a symbolic link /lib/modules/2.6.32.5-libre-lemote/build
However, I can not read it: No such file or directory
Therefore, I am deleting /lib/modules/2.6.32.5-libre-lemote/build

Hmm. The package shipped with a symbolic link /lib/modules/2.6.32.5-libre-lemote/source
However, I can not read the target: No such file or directory
Therefore, I am deleting /lib/modules/2.6.32.5-libre-lemote/source

Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
Running postinst hook script update-grub.
User postinst hook script [update-grub] failed to execute: No such file or directory
dpkg: error processing linux-image-2.6.32.5-libre-lemote (--configure):
subprocess post-installation script returned error exit status 255
Errors were encountered while processing:
linux-image-2.6.32.5-libre-lemote
E: Sub-process /usr/bin/dpkg returned an error code (1)
tony@gnewsense:~$

Tony Mugan <gurrier>
Sun 21 Mar 2010 05:24:44 AM UTC, comment #1:

This also happens with the .7 and .8 versions.

I am running 2.6.32.6-libre-lemote but cannot get the three newer versions from the repository.

tony@gnewsense:~$ sudo dpkg --configure -a
Setting up linux-image-2.6.32.7-libre-lemote (0lxo) ...
Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
Running postinst hook script update-grub.
User postinst hook script [update-grub] failed to execute: No such file or directory
dpkg: error processing linux-image-2.6.32.7-libre-lemote (--configure):
subprocess post-installation script returned error exit status 255
Errors were encountered while processing:
linux-image-2.6.32.7-libre-lemote

Tony Mugan <gurrier>
Fri 05 Mar 2010 08:25:15 AM UTC, original submission:

There are two dead-end symbolic links in the kernel image for 2.6.32.9:

/lib/modules/2.6.32.9-libre-lemote/source
/lib/modules/2.6.32.9-libre-lemote/build

...
Reading package lists...
Building dependency tree...
Reading state information...
Suggested packages:
fdutils linux-doc-2.6.32.9-libre-lemote linux-source-2.6.32.9-libre-lemote
ksymoops
The following NEW packages will be installed:
linux-image-2.6.32.9-libre-lemote
Preconfiguring packages ...

  1. upgraded, 1 newly installed, 0 to remove and 0 not upgraded.

Need to get 0B/10.4MB of archives.
After this operation, 40.1MB of additional disk space will be used.
Selecting previously deselected package linux-image-2.6.32.9-libre-lemote.
(Reading database ... 43013 files and directories currently installed.)
Unpacking linux-image-2.6.32.9-libre-lemote (from .../linux-image-2.6.32.9-libre-lemote_0lxo_mipsel.deb) ...
Done.
Setting up linux-image-2.6.32.9-libre-lemote (0lxo) ...

Hmm. There is a symbolic link /lib/modules/2.6.32.9-libre-lemote/build
However, I can not read it: No such file or directory
Therefore, I am deleting /lib/modules/2.6.32.9-libre-lemote/build

Hmm. The package shipped with a symbolic link /lib/modules/2.6.32.9-libre-lemote/source
However, I can not read the target: No such file or directory
Therefore, I am deleting /lib/modules/2.6.32.9-libre-lemote/source

Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
Running postinst hook script update-grub.
Generating grub.cfg ...
Found linux image: /boot/vmlinux-2.6.32.9-libre-lemote
Found initrd image: /boot/initrd.img-2.6.32.9-libre-lemote
Found linux image: /boot/vmlinux-2.6.32.3-libre-lemote
Found initrd image: /boot/initrd.img-2.6.32.3-libre-lemote
done
lars@gnewsense:~$

Lars Noodén <larsnooden>

 

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by samgee (Posted a comment)
  • -unavailable- added by graziano (Posted a comment)
  • -unavailable- added by gurrier (Posted a comment)
  • -unavailable- added by larsnooden (Submitted the item)
  •  

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 3 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Mon 13 Jan 2014 07:19:51 PM UTCsamgeeStatusNone=>Invalid
      Open/ClosedOpen=>Closed
    Sun 04 Apr 2010 11:41:19 AM UTCkgoetzSeverity3 - Normal=>1 - Wish

    Back to the top


    Powered by Savane 3.1-cleanup